.flow_form {
	margin-left: 1em;
}
.flow_form li {
	margin: 5px 0 0 0 !important;
	list-style: disclosure-closed;
}

.row {
	margin: 1em;
}

.form-control.w200 {
	height: 3em;
	padding-left: 1em;
	font-weight: 500;
}
.label.label-danger {
	background-color: #dd2e1e;
	color: #fff;
	padding: 5px;
	border-radius: 5px;
}
.label.label-primary {
	background-color: #1e60dd;
	color: #fff;
	padding: 5px;
	border-radius: 5px;
}

.form-group.hyouStr.mr-15 {
	text-align: center;
	margin-top: 2em;
}
.btn.btn-success.btn-lg.btn-block {
	font-weight: 500;
	background-color: #1e60dd;
	border: 2px solid #1e60dd;
	color: #fff;
	border-radius: 10px;
	cursor: pointer;
	transition: 0.5s;
}
.btn.btn-success.btn-lg.btn-block:hover {
	background-color: #f8f7f4;
	border: 2px solid #1e60dd;
	color: #1e60dd;
	transition: 0.5s;
}
.trader_flex {
	margin: 5% auto;
}
.trader_item {
	box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.1);
	padding: 30px;
	border: 1px solid #dfdfdf;
	border-radius: 5px;
}
.trader_item_img {
	width: 300px;
	height: 300px;
}
.trader_item_title {
	margin: 10px 5px;
	font-size: 1.2em;
	border-left: 3px solid;
	padding-left: 5px;
}
.trader_item_table table tr {
	border-bottom: 1px solid;
}
.trader_item_table table th {
	width: 50%;
	text-align: center;
	padding: 5px;
}
.trader_item_table table td {
	width: 40%;
	text-align: center;
	padding: 5px;
}
#date-range {
	color: red;
	font-size: 1.1em;
	margin: 3px;
}
.text_value {
	font-size: 1.5em;
	color: red;
	margin: 10px;
}
.form_title {
	font-size: 2em;
	margin-bottom: 2%;
	color: #1e60dd;
	font-weight: bold;
}
.contsClear.thanks01 ul {
	list-style: disclosure-closed;
	padding-left: 1.5em;
	margin: 2% auto;
}
.top_btn_div {
	margin-top: 5%;
	text-align: center;
}
.top_btn_div a {
	background-color: #1e60dd;
	color: #fff;
	padding: 2% 5%;
	border-radius: 5px;
	text-decoration: none;
	font-size: 1.2em;
}
footer .comm-blc {
	max-width: 100%;
}



.pc_only {
	display: none;
}
.ip_only {
	display: none;
}

@media screen and (min-width:650px) {
.pc_only {
	display: block !important;
}
.row {
	display: flex;
	justify-content: center;
	align-items: center;
}
.col-md-3.formTitle {
	width: 30%;
	text-align: left;
}
.col-md-9.formArea {
	width: 45%;
}
.btn.btn-success.btn-lg.btn-block {
	width: 15%;
}
.flow_form {
	display: flex;
	justify-content: space-between;
}
.trader_flex {
	display: flex;
	justify-content: space-around;
}
.container223 img {
	width: 50%;
}
.max-w-2xl.mx-auto.p-4 {
	width: 60%;
}
.rounded-lg.w-full {
	width: 100px;
}
.inline-block.p-3.rounded-lg.bg-blue-500.text-white {
	padding: 5px 10px;
	width: 15%;
}
.inline-block.p-3.rounded-lg.bg-blue-500.text-white {
	font-size: 1.5em;
}
.space-y-4 .form_flex {
	width: 65%;
	display: flex;
	justify-content: space-around;
	align-items: center;
	margin: 0 auto 2% auto;
}
.form_flex div:first-child {
	width: 40%;
}
.form_flex div:last-child {
	width: 40%;
}
.scroll_inner img {
	width: 200px;
}
.contsSubbody.ptComTop.thanks_hp {
	margin: 5% auto;
	width: 50%;
}
}


@media screen and (max-width:650px) {
.ip_only {
	display: block !important;
}
.contsSubbody.ptComTop.thanks_hp {
	margin: 5% auto;
	width: 90%;
}
.col-md-3.formTitle {
	margin-bottom: 5%;
}
.btn.btn-success.btn-lg.btn-block {
	width: 50%;
}
.flow_form {
	margin-top: 1em;
}
.trader_item.trader_item_c {
	margin: 10% auto;
}
.input-area {
	width: 95% !important;
	bottom: 1% !important;
}
input {
	width: 100% !important;
}
.send-button {
	width: 20% !important;
	padding: 5px !important;
	font-size: 5vw !important;
}
.message.bot {
	width: fit-content;
}
.confirmation-content {
	width: 70%;
	text-align: left;
}
.confirmation-content span {
	display: block;
	margin-left: 3%;
	margin-bottom: 5%;
}
.input-area textarea {
	width: 1%;
}
.max-w-2xl.mx-auto.p-4 {
	width: 90%;
}
.rounded-lg.w-full {
	width: 100%;
}
.mt-2.mb-2 {
	width: 50%;
}
.inline-block.p-3.rounded-lg.bg-white p {
	white-space: pre-line;
	width: 90%;
}
.mb-4.message-animation .cv_pp11.ip_only img {
	width: 90%;
	border-radius: 0;
}
.inline-block.p-3.rounded-lg.bg-blue-500.text-white {
	padding: 10px 10px;
	width: 30%;
}
.mt-2.space-y-2 {
	display: flex;
	justify-content: center;
}
.block.w-full.px-4.py-2.text-sm.text-left.rounded.choice-button.bg-gray-50.hover\:bg-gray-100.hover\:shadow-md {
	width: 30%;
	padding: 10px;
	font-size: 1em;
}
.inline-block.p-3.rounded-lg.bg-blue-500.text-white {
	font-size: 1em;
}
.space-y-4 .form_flex {
	margin: 0 auto 10% 5%;
}
.form_flex div:first-child {
	margin-bottom: 5%;
}
.form_flex div:last-child {
	width: 85%;
}
.w-full.p-2.border.rounded {
	width: 100%;
}
.padding-comm.padding-comm2 {
	padding-bottom: 5vw;
}
.chat-trigger img {
	width: 80%;
}
.scroll_inner img {
	width: 100px;
}
}


@keyframes fade-in {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
.animate-fade-in {
    animation: fade-in 0.5s ease-out;
}
/* チャットメッセージのアニメーション */
@keyframes slideIn {
	from {
		opacity: 0;
		transform: translateY(20px);
	}
	to {
		opacity: 1;
		transform: translateY(0);
	}
}
.message-animation {
	animation: slideIn 0.3s ease-out forwards;
}
.choice-button:disabled {
	opacity: 0.5;
	cursor: not-allowed;
	background-color: #e5e7eb;
}
.chat-form {
	max-width: 600px;
	margin: 20px auto;
	padding: 20px;
	box-shadow: 1px 1px 10px 1px #b5b5b5;
	text-align: center;
	margin-top: 5%;
	background-color: aliceblue;
	border-radius: 5px;
	height: 30em;
}
.messages {
	height: 360px;
	overflow-y: auto;
	padding: 20px;
	scroll-behavior: smooth;
	overflow-x: hidden;
}
.message.user {
	position: relative;
	border-radius: 12px;
	background: #30e852;
	padding: 12px;
	display: block;
	width: fit-content;
	margin: 1em 0 1em auto;
}
.message.user::after {
	content: "";
	position: absolute;
	top: 3px;
	right: -19px;
	border: 8px solid transparent;
	border-left: 18px solid #30e852;
	-webkit-transform: rotate(-35deg);
	transform: rotate(-35deg);
}
.message.bot.last {
	margin-top: 3%;
}
.error {
	background-color: #ffebee;
	color: #c62828;
	display: block;
	width: fit-content;
	position: relative;
	border-radius: 12px;
	font-size: 1em;
	padding: 12px;
	margin: 0 auto 0 0;
}
.error::after {
	content: "";
	display: inline-block;
	position: absolute;
	top: 3px;
	left: -19px;
	border: 8px solid transparent;
	border-right: 18px solid #ffebee;
	-webkit-transform: rotate(35deg);
	transform: rotate(35deg);
}
.input-area {
	display: flex;
	gap: 10px;
	position: absolute;
	bottom: 5%;
	right: 0;
	left: 0;
	margin: 0 auto;
	width: 50%;
}
input, select, textarea {
	flex-grow: 1;
	padding: 10px;
	border: 1px solid #ccc;
	border-radius: 5px;
	font-size: 16px;
}
.input-area textarea {
	height: 24px;
}
.input-area .input-field {
	flex-grow: 1;
	padding: 10px;
	border: 1px solid #fff;
	background-color: #fff;
	border-radius: 5px;
	font-size: 16px;
	font-family: "Noto Sans JP", "æ¸¸ã‚´ã‚·ãƒƒã‚¯ä½“", YuGothic, "æ¸¸ã‚´ã‚·ãƒƒã‚¯", "Yu Gothic", "ãƒ’ãƒ©ã‚®ãƒŽè§’ã‚´ Pro", "Hiragino Kaku Gothic Pro", "ãƒ¡ã‚¤ãƒªã‚ª", Meiryo, sans-serif !important;
}
button {
	padding: 10px 20px;
	background-color: #007bff;
	color: white;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	box-shadow: 3px 3px 0 #60adff;
}

button.chat-trigger {
	background-color: #1e60dd;
	box-shadow: none;
}
.complete-button {
	background-color: #28a745;
	margin: 0 auto;
	display: block;
}
.optional {
	color: #666;
	font-size: 0.9em;
}
.message.bot {
	display: block;
	position: relative;
	border-radius: 12px;
	background: #fff;
	font-size: 1em;
	padding: 12px;
	margin: 0 auto 0 0;
	text-align: left;
}
.message.bot::before {

}
.message.bot::after {
	content: "";
	display: inline-block;
	position: absolute;
	top: 3px;
	left: -19px;
	border: 8px solid transparent;
	border-right: 18px solid #fff;
	-webkit-transform: rotate(35deg);
	transform: rotate(35deg);
}
.confirmation-item {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin: 2% 0;
}
.edit-button {
	padding: 3px 5px;
	margin-left: 15px;
}

.padding-comm #startChatButton {
	margin: 2% 0;
}
.padding-comm {
	text-align: center;
}

.padding-comm.padding-comm2 .comm-blc {
	margin-bottom: 3%;
}

.h_span {
	background-color: red;
	color: #fff;
	padding: 3px;
	border-radius: 5px;
	margin-right: 10px;
}
.n_span {
	background-color: #0058ff;
	color: #fff;
	padding: 3px;
	border-radius: 5px;
	margin-right: 10px;
}
.form_flex div:first-child {
	text-align: left;
}
.text-xl.font-bold.mb-4 {
	font-size: 1.5em;
	margin-bottom: 3%;
}
.block.mb-1 {
	width: 40%;
}
.w-full.p-2.border.rounded {
	font-family: "Noto Sans JP", "æ¸¸ã‚´ã‚·ãƒƒã‚¯ä½“", YuGothic, "æ¸¸ã‚´ã‚·ãƒƒã‚¯", "Yu Gothic", "ãƒ’ãƒ©ã‚®ãƒŽè§’ã‚´ Pro", "Hiragino Kaku Gothic Pro", "ãƒ¡ã‚¤ãƒªã‚ª", Meiryo, sans-serif !important;
}
.max-w-2xl.mx-auto.p-4 {
	margin: 0 auto;
	box-shadow: 0px 0px 10px 5px #acacac;
	padding-bottom: 3%;
	background-color: #fff;
}
.mt-2.mb-2 {
	margin-right: 10px;
}
.rounded-lg.w-full {
	height: auto;
	border-radius: 50%;
}
.inline-block.p-3.rounded-lg.bg-white p {
	max-width: 500px;
	display: flex;
	flex-wrap: wrap;
	position: relative;
	padding: 17px 13px 15px 18px;
	border-radius: 12px;
	background: #91ffff;
	box-sizing: border-box;
	margin: 0 !important;
	line-height: 1.5;
	align-items: center;
	text-align: left;
}
.inline-block.p-3.rounded-lg.bg-white p::after {
	content: "";
	position: absolute;
	border: 10px solid transparent;
	margin-top: -3px;
	left: -26px;
	border-right: 22px solid #91ffff;
}
.inline-block.p-3.rounded-lg.bg-white {
	display: flex;
	justify-content: flex-start;
	align-items: center;
}
.mt-2.space-y-2 {
	margin: 0 auto;
}
.inline-block.p-3.rounded-lg.bg-white {
	padding: 5% 5% 3% 5%;
}
.cv_pp11 {
	margin-bottom: 3%;
}
.w-full.bg-blue-500.text-white.py-2.rounded.hover\:bg-blue-600.focus\:outline-none.focus\:ring-2.focus\:ring-blue-500.focus\:ring-opacity-50 {
	margin-top: 3%;
	font-size: 1.5em;
}

.inline-block.p-3.rounded-lg.bg-blue-500.text-white {
	background-color: #007bff;
	color: white;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	margin: 0 auto;
}
.mt-2.space-y-2 button {
	margin: 0 10px;
	font-size: 1.5em;
	padding: 10px 50px;
}
.bg-white.rounded-lg.p-6.shadow-lg.animate-fade-in {
	padding: 0;
}
.text-red-500.text-sm.mt-1 {
	color: red;
	text-align: left;
}
.mb-4.message-animation .cv_pp11 img {
	width: 70%;
	border-radius: 0;
}

.cv_flex {
	display: flex;
	justify-content: space-around;
	align-items: center;
	width: 50%;
	margin: 0 auto;
}
#startChatButton {
	font-size: 1.5em;
	font-weight: bold;
	position: relative;
	padding: 25px 20px 10px 20px;
}
#startChatButton .line_text {
	color: #1e60dd;
}
#startChatButton .line_text::after {
	color: #1e60dd;
}


.line_text {
	position: absolute;
	content: "";
	background-color: white;
	color: #0da600;
	font-weight: bold;
	line-height: 1.1;
	padding: 5px 10px;
	border-radius: 20px;
	right: 50%;
	top: -30%;
	text-align: center;
	transform: translateX(50%);
	white-space: nowrap;
	font-size: 20px;
	border: 2px solid;
}
.line_text::after {
	position: absolute;
	content: "";
	width: 0;
	height: 0;
	border-style: solid;
	border-right: 12px solid transparent;
	border-left: 12px solid transparent;
	border-top: 10px solid #fff;
	border-bottom: 0;
	right: 50%;
	bottom: -6px;
	transform: translateX(50%);
}

.cv_flex a.cv_line {
	background-color: #0da600;
	padding: 20px 40px 7px 40px;
	font-size: 1.5em;
	font-weight: bold;
	border-radius: 5px;
	color: #fff;
	position: relative;
	cursor: pointer;
	text-decoration: none;
}
.cv_line:hover {
	color: #fff;
}




body {
	--scroll-gap: 30px;
  }

  @keyframes infiniteScroll {
	0% {
	  transform: translateX(0);
	}
	100% {
	  transform: translateX(calc(-50% - var(--scroll-gap) / 2));
	}
  }
  
  .scroll_wrap {
	width: 100%;
	overflow: hidden;
  }
  
  .scroll_track {
	width: max-content;
	animation: infiniteScroll 12s linear infinite;
  }
  
  .scroll_inner {
	display: flex;
	flex-wrap: nowrap;
	gap: 0 var(--scroll-gap);
  }
  
  .scroll_cont {
	display: grid;
	place-content: center;
	flex-shrink: 0;
  }

.scroll-img {
	box-shadow: 0px 0px 10px 5px #acacac;
	padding: 15px 0;
}

#register-blc {
	margin-top: 2rem;
}